package com.sv.mapper;

import com.sv.annotation.NoPlatform;
import com.sv.entity.VenueImage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper - 场馆图片
 *
 * @author zuojie.Liang
 * @since 2018-08-02
 */
public interface VenueImageMapper {

    /**
     * 新建场馆图片
     *
     * @param venueImage 场馆图片
     */
    void insert(VenueImage venueImage);

    /**
     * 更新场馆图片
     *
     * @param venueImage 场馆图片
     */
    void update(VenueImage venueImage);

    /**
     * 删除场馆图片
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除场馆图片
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询场馆图片
     *
     * @param id 编号
     * @return 场馆图片
     */
    VenueImage findById(Integer id);

    /**
     * 查询场馆图片
     *
     * @return 场馆图片集合
     */
    List<VenueImage> findAll();

    void deleteByVenueId(Integer id);

    /**
     * api 根据场馆id,类型，查找场馆列表图片
     */
    @NoPlatform
    List<VenueImage> findByVenueId(@Param("venueId") Integer venueId, @Param("venueType") Integer venueType);


}